PDA

View Full Version : g77 on panther machine


saabophile
02-21-2007, 09:45 AM
Hi. I'm new to Unix, Fortran and Fink. I figured that since I'm pursuing an undergraduate degree in math, I should probably learn, so I'm trying to get a Fortran compiler running on my Mac OS 10.3.9 machine. I've installed the developer package that came with my Mac, and the version of fink appropriate to my operating system. I told fink to install g77 and it installed the latest version: g77 3.4.3-2. When I tried to use g77 in Terminal to compile and run a program, it gave me this error: "can't locate file for: -lcrt1.o."

What does this mean? Do I need to use an earlier version of g77 for panther? Or am I missing something like an Xcode update? Do I have to upgrade to Tiger to get everything working? :confused:

Any suggestions would be greatly appreciated.:)